### Enumeration

# FwupdPlugin DumpFlags

since: 1.0

#### Declaration

    flags FwupdPlugin.DumpFlags

#### Description [src]

The flags to use when configuring debugging.

Available since: 1.0

#### Members

`FU_DUMP_FLAGS_NONE`

  No flags set.

  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_DUMP_FLAGS_SHOW_ASCII`

  Show ASCII in debugging dumps.

  - Value: `1`
  - Nickname: `None`
  - Available since: 1.0
`FU_DUMP_FLAGS_SHOW_ADDRESSES`

  Show addresses in debugging dumps.

  - Value: `2`
  - Nickname: `None`
  - Available since: 1.0